Name:		tzclock
Version:	3.0.5
Release:	3%{?dist}
Summary:	GTK+ graphical Clock displaying the time around the world

Group:		Amusements/Graphics
License:	GPLv2
URL:		http://www.tzclock.org/
Source0:	http://www.tzclock.org/releases/source/%{name}-%{version}.tar.bz2

BuildRequires:	gtk3-devel
BuildRequires:	libnotify-devel
BuildRequires:	desktop-file-utils

%description
TzClock is an X Window GTK+ graphical Clock that can display 
the time around the world. It supports multiple faces showing 
different time zones. 
There is a stopwatch funtion that is accurate to a tenth of a second, 
plus there are many other nice features for you to discover.

%prep
%setup -q

sed -i.suffix \
	-e 's|^Icon=.*|Icon=tzclock|' \
	TzClock.desktop

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__make} install \
	INSTALL="%{__install} -p" \
	DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
%if 0%{?fedora} < 19
	--vendor fedora \
%endif
	--delete-original \
	$RPM_BUILD_ROOT%{_datadir}/applications/TzClock.desktop

# I like lower case!
%{__ln_s} -f TzClock $RPM_BUILD_ROOT%{_bindir}/%{name}
%{__ln_s} -f TzClock.1 $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

# Not needed
%{__rm} -f $RPM_BUILD_ROOT%{_bindir}/screenSize

%post
touch --no-create %{_datadir}/icons/hicolor/
exit 0

%postun
[ "$1" -eq 0 ] || exit 0

touch --no-create %{_datadir}/icons/hicolor/
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
exit 0

%posttrans
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
exit 0

%files
%defattr(-,root,root,-)
%doc	AUTHORS
%doc	COPYING

%{_bindir}/*
%{_datadir}/icons/hicolor/*/*/tzclock*
%{_datadir}/applications/*desktop

%{_mandir}/man1/*

%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 19 2014 Mamoru TASAKA <mtasaka@fedoraproject.org> - 3.0.5-1
- 3.0.5

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 10 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 3.0.3-1
- 3.0.3

* Sat Feb  9 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 3.0.2-2
- F-19: kill vendorization of desktop file (fpc#247)

* Thu Nov 15 2012 Mamoru TASAKA <mtasaka@fedoraproject.org> - 3.0.2-1
- 3.0.2

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan  5 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.0.1-2
- F-17: rebuild against gcc47

* Sun Nov 20 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.0.1-1
- 3.0.1

* Wed Nov  9 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 2.7.7-3
- Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jun  3 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.7.7-1
- 2.7.7

* Sun Feb 14 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.7.6-2
- Fix F-13 DSO linkage issue

* Sat Nov 21 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.7.6-1
- 2.7.6

* Thu Jul 30 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.7.5-1
- 2.7.5

* Sat Jul 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.7.4-2
- F-12: Mass rebuild

* Tue Mar 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.7.4-1
- 2.7.4

* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.7.2-2
- F-11: Mass rebuild

* Thu Sep 25 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.7.2-1
- 2.7.2

* Thu May 15 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.7.1-1
- 2.7.1

* Sat Apr 12 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.6.1-3
- "New" 2.6.1 (modified tarball with the same version)

* Fri Apr 11 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.6.1-2
- 2.6.1

* Sat Feb  9 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- Rebuild against gcc43 (F-9)

* Wed Dec  5 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.5.5-1
- Initial packaging

